/*------------------------------------*\
    #MENU-DRILLDOWN
\*------------------------------------*/
/**
 * Drilldown menu component, based on jquery-drilldown..
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-drilldown,
%#{$inuit-namespace}menu-drilldown {
    // See https://github.com/Cinamonas/jquery-drilldown
    overflow: hidden;
    margin-bottom: $drk-base-unit;
}

.#{$inuit-namespace}menu-drilldown__root,
%#{$inuit-namespace}menu-drilldown__root {
    //margin-top: $drk-base-unit-small / 2;
    margin-top: 0;
    margin-bottom: 0;

    @media #{$medium-up} {
        //margin-top: $drk-base-unit / 2;
        margin-top: 0;
    }
}

.#{$inuit-namespace}menu-drilldown__item,
%#{$inuit-namespace}menu-drilldown__item {
    &--sub {
        margin-left: $drk-base-unit-small;

        @media #{$large-up} {
            margin-left: $drk-base-unit;
        }

        // Hide icons
        .o-icon-list__icon {
            visibility: hidden;
        }

        .#{$inuit-namespace}menu-drilldown__link,
        %#{$inuit-namespace}menu-drilldown__link {

            &::before {
                content: '';
                display: inline-block;
                visibility: hidden;
            }
        }
    }
}

.#{$inuit-namespace}menu-drilldown__back-label,
%#{$inuit-namespace}menu-drilldown__back-label {
    @extend %icon--arrow-left;
    background-position: 5px center;
    padding-left: $drk-base-unit / 1.75;
}

.#{$inuit-namespace}menu-drilldown__sub,
%#{$inuit-namespace}menu-drilldown__sub {
    // See https://github.com/Cinamonas/jquery-drilldown
    display: none;
}
